Issue 24403

Summary: custom increase/sort lists
Product: Calc Reporter: richlv <richlv>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues, kozodaevroman
Version: OOo 1.1.1a   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---

Description richlv 2004-01-14 17:53:21 UTC
currently oo.org provides sort lists that include months and days. also dates 
and numbers are increased. but there is no way to create more complicated rules 
for these lists.

there should be a list editor that would consist of either some format code 
(like 10.1.[1-5].(1)[1-255], which would mean "first increase fourth number up 
to 255, then increase third number and go through 1 to 255 again") or some sort 
of list of rules that would determine increase behaviour. this method should 
provide a way to increase any part of the string in any range (for example, list 
103, 113, 123, 133, 143 should be possible). simultaneous and sequencial 
increase must be possible.

these lists should be attachable to mother cells so that one document could have 
two lists - one would add up dates by increasing only date, second would skip 
every second date and use only every third month.

maybe even more sophisticated rules could be implemented, like [a-k] and ability 
to jump to every n-th value (for example, list that would consist of something 
like "(1)[a-z] 10.10.(2+3)1-20.(1/2)[1-25]5" would mean "create a list that 
first increases from a to z and last value increases from 1 to 25, then, when 
3rd value has reached last variable, reset it and add one to 2nd variable. hmm, 
now when i think about it maybe it would be better to have an editor of rules 
that would mean the same. but there should still be possibility to write lists 
up like this for easy and fast distributing/saving/restoring of these lists.

also this probably is not a sort list anymore, but i don't know how this should 
be called :)

ps. first i classified this as enchancement, but now this probably becomes a 
feature :)
Comment 1 frank 2004-01-15 09:31:32 UTC
Hi Bettina,

one for you.

Frank
Comment 2 ace_dent 2008-05-16 02:58:10 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 bettina.haberer 2010-05-21 14:51:35 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".